resources

## Enum Constants.Disease

- java.lang.Object
- - java.lang.Enum<Constants.Disease>
  - - resources.Constants.Disease

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Constants.Disease>
  Enclosing class:
    Constants

      public static enum Constants.Disease
      extends java.lang.Enum<Constants.Disease>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Disease1`
    `Disease2`
    `None`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Constants.Disease` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Constants.Disease[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### None

          public static final Constants.Disease None

    - #### Disease1

          public static final Constants.Disease Disease1

    - #### Disease2

          public static final Constants.Disease Disease2

  - ### Method Detail

    - #### values

          public static Constants.Disease[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Constants.Disease c : Constants.Disease.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Constants.Disease valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null